/*
 * Copyright (C) 2016 by the University of Southern California
 * $Id$
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 */


/* how we call into dsc */

#include "libtrace.h"
#ifdef __cplusplus
#include <iostream>
#include <string>
#include "parse.hh"
#endif /* __cplusplus */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
	extern int dns_protocol_handler(const u_char *buf, int len, void *udata);
	extern int pcap_tcp_handler(const struct tcphdr *tcp, int len, void *udata);
	extern void dnsanon_tcpList_remove_older_than(long t);
#ifdef __cplusplus
}
extern void dsc_register(Parser *);
extern void dnsanon_pcap_tcp_handler(libtrace_packet_t *packet, libtrace_tcp_t *tcp_header, int len, u_char *payload);
#endif /* __cplusplus */	



